v1.0
get
/ec-ors-svc/rest/v1.0/studies/{studyId}/{mode}/{studyVersion}/rnddesign/{rndDesignId}/rndlist/upload/{fileId}/fileheaders
Retrieves a list of headers for a randomization list in a CSV file. Rights: DesignerRandListUpload.
Request
Path Parameters
-
fileId(required): string(uuid)
ID of the file.Example:
C36A3197FDEE433FB5547EE83DE99E4B -
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test -
rndDesignId(required): string(uuid)
ID of the randomization design.Example:
B1B8327AFAA6412287106192AB5984EF -
studyId(required): string(uuid)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
C36A3197FDEE433FB5547EE83DE99E4B -
studyVersion(required): string
Version of the study.Example:
1
Query Parameters
-
containsHeadersRow: string
Specify whether the headers row is included. Default value is 'y'.Default Value:
yExample:y
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : UploadCSVHeaderResponse
Type:
objectTitle:
UploadCSVHeaderResponseContains CSV header response.
Show Source
-
headers: array
Headers
Title:
HeadersContains headers.
Nested Schema : Headers
Type:
arrayTitle:
HeadersContains headers.
Show Source
Example:
[
"Kit Number",
"Kit Type",
"Lot Number"
]Examples
400 Response
Randomization list can't be generated/uploaded as there is no algorithm for the randomization designOr you must associate the randomization design with a visit before you can create/upload a randomization list for itOr the file can't be uploaded because it contains invalid content, such as special characters, empty cells, or empty rowsOr empty CSV content
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectExamples
404 Response
Study not found. Or randomization design not found. Or design not found
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectExamples
500 Response
Internal server error
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectExamples